CREATE TABLE IF NOT EXISTS Posts(
    ID                INTEGER NOT NULL AUTO_INCREMENT PRIMARY KEY,
    Title             VARCHAR(30) DEFAULT 'Untitled',
    Body              TEXT    NOT NULL,
    Creation_Time     DATETIME DEFAULT CURRENT_TIMESTAMP,
    Modification_Time DATETIME ON UPDATE CURRENT_TIMESTAMP
);

CREATE TABLE IF NOT EXISTS Users(
    ID     INTEGER     NOT NULL AUTO_INCREMENT PRIMARY KEY,
    Name   VARCHAR(32) NOT NULL UNIQUE,
    PWHash CHAR(64)    NOT NULL,
    Salt   BINARY(32)  NOT NULL
);

CREATE TABLE IF NOT EXISTS Sessions(
    ID     VARCHAR(64) NOT NULL PRIMARY KEY,
    UserID VARCHAR(32) NOT NULL UNIQUE
);
